 <?php

namespace DsbNext\Controllers;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class DashboardGOController{
    
    protected $crudService;
    
    public function __construct($connection, $environment, $util, $crudService) {
        $this->crudService	= $crudService;
        $this->connection      = $connection;
        $this->environment     = $environment;
        $this->util            = $util;
    }
    
    public function costAnalysysAccumulatedGO(Request\Filter $request, Response $response) {
        $params = ['CDOPERADOR', 'DTPROCESSA', 'NRORG'];
        $conditions = $this->util->prepareConditions($params);
       
        $data = $this->crudService->getFilteredDataSet('costAnalysysAccumulatedGO', $conditions)->getRows();
		$response->addDataSet(new DataSet("costAnalysysAccumulatedGO", $data));
    }
}